	dimension label(1000)
	data iseed/13/
      np=300
	decay=8.e-6
	dt=100
	t=-dt

	do 3,n=1,np
	label(n)=1
3	continue

	do 1,nt=1,864*4
	t=t+dt

	do 2,n=1,np
	if (label(n).eq.0) goto 2
	p=1.-exp(-decay*dt)
	if (ran(iseed).lt.p) label(n)=0
2	continue

	cont=0.0
	do 4,n=1,np
	if (label(n).eq.1) cont=cont+1.
4	continue

	write (1,*) t/3600.,cont
1	continue
	stop
	end
	 
c	RANDOM NUMBER GENERATOR
c	-----------------------
	function ran(idum)
	integer*4 m,ia,ic,idum,ir(97),iy,j
	parameter (m=714025,ia=1366,ic=150889,rm=1.4005112e-6)
	data iff/0.0/
	if (idum.lt.0.or.iff.eq.0) then
	iff=1
	idum=mod(ic-idum,m)
	do 11,j=1,97
	idum=mod(ia*idum+ic,m)
	ir(j)=idum
11	continue
	idum=mod(ia*idum+ic,m)
	iy=idum
	end if
	j=1+97*iy/m
	if (j.gt.97.or.j.lt.1) pause
	iy=ir(j)
	ran=iy*rm
	idum=mod(ia*idum+ic,m)
	ir(j)=idum
	return
	end
